/**
 * Filename: client_client.cpp
 *
 * Description: Implementation of the Client module. This will run all 
 * the other modules and is the class run from main
 *
 * Original Author: Nathan Boeger
 *
 * $Id: khneia_client.cpp,v 1.2 2002/04/25 08:09:33 nathan Exp $
 *
 */

#include "khneia_client.h"


khneia_client::khneia_client()
{
	conf = NULL;
	error = K_GOOD;
}


/*
 * run
 * Frist thing we need to do is run the client_sys_conf module, then
 * register then spawn the listener
 */
int khneia_client::run()
{

	conf = new client_sys_conf();
		
	if( conf )
	{
		if( conf->run() >=  0 )
		{
			error = register_host();

		}
	}
	else
	{
		K_ERR_LOG("Error the client_sys_conf faild to run !");
		error = K_BAD;
	}

	return(error);
}

/*
 * register_info
 * Create our needed packets then send them. We will need to send the following
 * I)   host_info
 * II)  disk_stats
 * III) system_stats
 * (*Note order is not important, and all will have the sequence set to REGISTER_SEQ)
 */

int khneia_client::register_host()
{
	int i, err = K_BAD;

	return(err);
}

/*
 * destructor
 * free the client_sys_conf,
 */
khneia_client::~khneia_client()
{
	if( conf )
	{
		delete conf;
	}
}
