/**
 * Filename: client_sys_conf.h
 *
 * Description: header file for the client_sys_conf class definition
 *
 * Original Author: Nathan Boeger
 *
 * $Id: client_sys_conf.h,v 1.3 2002/04/25 08:09:33 nathan Exp $
 *
 */

/* max path len for the rsync path */
#define CONF_PATH ("/usr/local/etc/khniea_client.conf")
#define NOT_RAN    (0x0)
#define RAN        (0x1)

class client_sys_conf
{

public:

	// default constructor sets default values
	client_sys_conf();

	// run the lexer and get the values
	int run();

	int getListenPort();
	int setListenPort(unsigned int p);

	int getServerPort();
	int setServerPort(unsigned int p);

	in_addr_t getServer();
	int setServer(in_addr_t s);
	int setServer(char *s);

	// unset the ran flag
	void unset_ran();

	char * getRsyncPath();
	int setRsyncPath(char *p);

	~client_sys_conf();

private:

	// used to keep track of when we have been run
	int alreadyrun;
	// used to follow errors in the class
	int error;
	// servers ip address
	in_addr_t server;
	// the port we listen on
	unsigned int listenport;
	// send to the server on this port
	unsigned int serverport;
	// path to rsync binary
	char rsyncpath[MAX_PATH_LEN];
};
