/**
 * Filename: db_disk_info.h
 *
 * Description: database disk info class. This class will be
 * responsiable for inserting into the db the disk_info
 *
 * Original Author: Nathan Boeger
 *
 * $Id: db_disk_info.h,v 1.1 2002/04/17 05:35:48 nathan Exp $
 *
 */

class db_disk_info : public db_agent
{
public:

   /*
    * default constructor does nothing
    */
   db_disk_info();

   /*
    * Create an instance with the packet h and sys_conf m.
    */
   db_disk_info(struct khneia_header_pkt *h, master_sys_conf *m);

   /*
    * run 
    * must be implemented in the drived class, This will 
    * interact with the db and insert the data 
    */
   int run();

   /*
    * report
    * will analyze the data and report if its out of 
    * allowed parameters repore the error
    */
   int report();

   /*
    * destructor
    */
   ~db_disk_info();

private:
   struct disk_info_pkt *info;
};
