/**
 * Filename: db_hinfo.h
 *
 * Description: database host info class. This class will be
 * responsiable for inserting into the db the hostinfo
 *
 * Original Author: Nathan Boeger
 *
 * $Id: db_hinfo.h,v 1.1 2002/04/12 08:54:51 nathan Exp $
 *
 */

class db_hinfo : public db_agent
{
public:

   /*
    *  default constructor does nothing
    */
   db_hinfo();

   /*
    * Prefered construtor is in the super class !
    */
   db_hinfo(struct khneia_header_pkt *h, master_sys_conf *m);

   /*
    * run
    * This will take care of insertion into the database for this
    * class
    */
   int run();

   /*
    * report
    * this will analyze the data and make sure its within proper
    * parameters. If so then K_GOOD is returned K_BAD otherwise.
    */
   int report();

   /*
    * destructor
    */
   ~db_hinfo();

private:

   struct host_info_pkt *hinfo;
};


