/**
 * Filename: db_system_stats.h
 *
 * Description: database system stats class. This class will be
 * responsiable for inserting into the db the system stats
 *
 * Original Author: Nathan Boeger
 *
 * $Id: db_system_stats.h,v 1.1 2002/04/17 05:35:48 nathan Exp $
 *
 */

class db_system_stats : public db_agent
{
public:

   /*
    *  default constructor does nothing
    */
   db_system_stats();

   /*
    * Prefered construtor is in the super class !
    */
   db_system_stats(struct khneia_header_pkt *h, master_sys_conf *m);

   /*
    * run
    * This will take care of insertion into the database for this
    * class
    */
   int run();

   /*
    * report
    * this will analyze the data and make sure its within proper
    * parameters. If so then K_GOOD is returned K_BAD otherwise.
    */
   int report();

   /*
    * destructor
    */
   ~db_system_stats();

private:

   struct system_stats_pkt *info;
};

