/**
 * Filename: disk_stats.h
 *
 * Description: Child class of the system_info class, this class
 * will gather information about the filesystem on the local 
 * system
 *
 * Original Author: Nathan Boeger
 *
 * $Id: disk_stats.h,v 1.2 2002/04/08 05:29:04 nathan Exp $
 *
 */

/* the unit that we report */
#define REPORT_UNIT    (KILOBYTE)

class disk_stats : public system_info
{
public:
	/*
	 * Default constructor, does nothig
	 */
	disk_stats();

	/*
	 * prefered constructor, this will set the
	 * sys_conf module for the module
	 */
	disk_stats(khneia_header_pkt *h, client_sys_conf *s);

	/*
	 * run
	 *
	 * bring the class to life and gather the info
	 */
	int run();

	/*
	 * getDiskInfo
	 *
	 * Just gather the information about the local system disks
	 */
	int getDiskInfo();

	/*
	 * Remove the link list 
	 */
	~disk_stats();

private:
	
	int cnt;
	struct disk_info_pkt *info;

};
