/**
 * Filename: flog.c
 *
 * Description: logging macro's
 *
 * Original Author: Nathan Boeger
 *
 * $Id: flog.h,v 1.4 2002/04/12 08:54:51 nathan Exp $
 */

#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <unistd.h>
#include <stdarg.h>
#include <syslog.h>
#include <errno.h>

/*
 * Error only reporting, must be compiled with __DEBUG !!
 */
#ifdef __DEBUG__
	#define DLOG         flog("PID (%d) Working in File: (%s) Line: (%d)\n",\
	                           getpid(),__FILE__, __LINE__ );
	#define MDLOG(x)     flog("PID (%d) %s File: (%s) Line: (%d)\n", \
	                          getpid(),  x,  __FILE__, __LINE__ );
	#define SYS_ERRNO(x) flog("PID (%d) ERROR:[  %s  ]: ERRNO VALS (%s) (%d) file %s line %d \n",\
	                           getpid(), x, strerror(errno), errno, __FILE__, __LINE__ );
	#define F_LOG(x)      flog x ;   
#else
	#define DLOG
	#define MDLOG(x)
	#define SYS_ERRNO(x)
	#define F_LOG(x)
#endif
#define  __LOGFILE__      "debug.log"

/*
 * General error reporting. these are always compiled in, and use only syslog
 */	    
#define K_ERR_LOG(x)         klog("PID (%d)  ERROR:[ %s ]: ERROR MSG[ %s ] ERRNO (%d) FILE[ %s ] LINE (%d)\n", getpid(), \
                               x, strerror(errno), errno, __FILE__, __LINE__);

#define K_LOG(x)              klog("PID (%d) ERROR MESG [ %s ] file [ %s ] line (%d) \n", getpid(), x, __FILE__, __LINE__);
/*
 * Simple debug functions
 */	   
void start_logging(char* filename);
void flog(char *fmt, ...);
void klog(char *fmt, ...);

