/**
 * Filename: host_info.h
 *
 * Description: Derrived class to gather host information such as
 * 	1) hostname
 *    2) os information
 *    3) khniea version
 *    4) default route
 *    5) network ip/netmask/mac addresses
 *
 * Original Author: Nathan Boeger
 *
 * $Id: host_info.h,v 1.7 2002/04/12 08:54:51 nathan Exp $
 *
 */


class host_info : public system_info
{
public:

	/*
	 * Default constructor does nothing
	 */
	host_info();

	/*
	 * prefered constructor, this will set the
	 * sys_conf module for the module
	 */
	host_info(khneia_header_pkt *h, client_sys_conf *s);

	/*
	 * run 
	 * will gather the information. Once gathered
	 * the parents send function can be called K_GOOD on sucess
			*  K_BAD otherwise
	 */
	int run();


	/*
	 * setOsInfo
	 * this will set the os information (uname -a) and
	 * add that value to the packet. On sucess K_GOOD is
	 * returned and K_BAD elsewise
	 */
	int setOsInfo();

	/*
	 * setKhneiaVersion
	 * this will set the version of the Khneia that is 
	 * running and then fill in the value to the packet.
	 * On success K_GOOD and K_BAD elsewise
	 */
	int setKhneiaVersion();

	/*
	 * setDefaultRoute
	 * This will determine the default route and then add 
	 * this information to the packet. On success K_GOOD is
	 * returned and K_BAD elsewise.
	 */
	int setDefaultRoute();

	/*
	 * setNetworkInfo
	 * This will determine the network iformation and add it to
	 * the packet. On success the total size is returned else 
	 * K_BAD.
	 */
	int setNetworkInfo();

	/*
	 * descructor, no dnynamic mem, do nothing
	 */
	~host_info();

private:

	/*
	 * addNetEntry
	 *
	 * This will add
	 */
	void addNetEntry(struct network_info *n);

	/*
	 * makePacket
	 *
	 * Since this packet is not a fixed length, we need to create
	 * a buffer large enough to hold our data. And then arrage out
	 * buffer so that we can send it out
	 */
	void makePacket();

	// private data
	char *databuf;
	struct host_info_pkt *info;
	struct nlist 
	{
		struct network_info info;
		struct nlist *next;
	} *head;

	int cnt;
};
