/**
 * Filename: khneia_sender.h
 *
 * Description: Class definition for the sender module
 *
 * Original Author: Nathan Boeger
 *
 * $Id: khneia_sender.h,v 1.3 2002/04/08 05:29:04 nathan Exp $
 *
 */
 
 class khneia_sender
 {
 public:

    /* do nothing */
    khneia_sender();

    /* 
     * Alternate constructor
     * this will create the sender with the header h, for book keeping
     * the sequence info. The port p and connect to the server s
     */
    khneia_sender(struct khneia_header_pkt *h, int p, in_addr_t s);

    /*
     * setHostName 
     * will determine the hostname and set the value 
     * inside the header packet. On sucess K_GOOD is returned,
     * K_BAD elsewise 
     */
    int setHostName();

    /*
     * Send 
     * this will send the packet off, note that this module does
     * not keep a local copy of the packet, it only reads in the
     * header and assumes the length is proper on the packet !!
     */
    int send();

    /* no dynamic mem, do nothing */
    ~khneia_sender();

 private:
    int error;
    int port;
    in_addr_t server;
    struct khneia_header_pkt *header;
 };
