/**
 * Filename: master_listener.h
 *
 * Description: Header file that defines the master_listener module
 *
 * Original Author: Nathan Boeger
 *
 * $Id: master_listener.h,v 1.8 2002/05/07 06:50:52 nathan Exp $
 *
 */

class master_listener
{
public:

	/*
	 * Default constructor will do nothing
	 */
	master_listener();

	/*
	 * This will create the listener and then recieve the 
	 * proper config values from the master_sys_conf module;
	 */
	master_listener(master_sys_conf *s);

	/*
	 * run
	 *
	 * This will run the listener
	 */
	int run();

	/*
	 * handle_pkt
	 * This will handle the packet recieved. Note that it 
	 * will call exit() snd shutdown the socket after its done
	 * with the packet !!
	 */
	int handle_pkt(struct khneia_header_pkt *head);

	/*
	 * close
	 *
	 * This will close our socket and
	 * return the class error value
	 */
	int close();

	/*
	 * SIGNAL handler 
	 * this will clean up the children processes 
	 */
	static void child_cleanup(int sig);
	/*
	 * This will keep track of the children forked
	 */
	static int forkproc; 

	/*
	 * Destructor
	 * no dynamic mem, does nothing
	 */
	~master_listener();

private:

	/*
	 * Set the maximum amount of forks we can do,
	 * The default is  DEFAULT_MAXFORK 
    */
	int maxfork;

	int error;
	int sfd;
	master_sys_conf *sys_conf;
};
