/**
 * Filename: system_info.h
 *
 * Description: Base class for all the system information packets
 *
 * Original Author: Nathan Boeger
 *
 * $Id: system_info.h,v 1.2 2002/03/11 09:27:52 nathan Exp $
 *
 */


class system_info
{
   public:

      /*
       * Default constructor does nothing
       */
      system_info();

      /*
       *  This will set the sys_conf module for the
       * class
       */
      
      system_info(khneia_header_pkt *h, client_sys_conf *s);
      /*
       * run will be the main mathod in the
       * derived classes that will gather the
       * respective information
       */
      virtual int run() = 0;

      /*
       * Since each packet will have to be sent
       * after its comletion (IE filled out) we
       * can just use only 1 send function for
       * all base classes  
       */
      int send();

      /*
       * No dynamic mem, do nothing
       */
      virtual ~system_info();

protected:

   int error;
   khneia_header_pkt *header;
   client_sys_conf *sys; // to get config options
};
