/**
 * Filename: system_stats.h
 *
 * Description: Child class of the system_info class, this class and its info
 * will compose the heart beat packets. This is derived from the system_info
 * class and will pride:
 *    1) CPU load information
 *    2) Memory usage information
 *    3) Swap usage information
 *
 * Original Author: Nathan Boeger
 *
 * $Id: system_stats.h,v 1.3 2002/03/17 07:05:28 nathan Exp $
 *
 */

class system_stats :  public system_info
{
   public:

      /*
       * Default constructor, does nothig
       */
      system_stats();

      /*
       * prefered constructor, this will set the
       * sys_conf module for the module
       */
      system_stats(khneia_header_pkt *h, client_sys_conf *s);

      /*
       * run 
       * This will gather the stats. Once gatherd its parents send
       * function can be called. Return values, K_GOOD on sucess
       * K_BAD otherwise
       */
      int run();

      /*
       * setLoadInfo
       *
       * This will set the CPU load info into the packet
       */
      int setLoadInfo();

      /*
       * setMemoryInfo
       *
       * This will set the memory information into the packet
       */
      int setMemoryInfo();

      /*
       *
       */
      ~system_stats();

   private:
      struct system_stats_pkt *info;

};

