/**
 * Filename: flog.c
 *
 * Description: logging functions
 *
 * Original Author: Nathan Boeger
 #
 *
 *  $Id: flog.c,v 1.2 2002/03/07 08:57:25 nathan Exp $
 */

#include <string.h>
#include <stdio.h>

#include "flog.h"

/* 
 * Print debugging information to a file.  Since we're doing curses stuff, we
 * can't send printf() stuff to stdout/stderr, so we write it to a log file
 * if the debug flag is set when running mamed.
 */

FILE *gLog;

void start_logging(char* filename)
{
	gLog = fopen(filename, "w+");

	if( gLog == NULL )
		fprintf(stderr, "Can't start logging...not a problem.\n");
}

void flog(char* fmt, ...)
{
	va_list ap;

	if( gLog )
	{
		// only if we define syslog
#ifdef __SYSLOGD__

		// used for debuging when execv etc... 
		va_start(ap, fmt);
		vsyslog(LOG_ERR, fmt, ap);
		va_end(ap);
#else
		va_start(ap, fmt);
		vfprintf(gLog, fmt, ap);
		fflush(gLog);
#endif

	}
}

/*
 * For use with the K_lOG macros ! this will be use syslog all the time 
 */
void klog(char *fmt, ...)
{
	va_list ap;

	va_start(ap, fmt);
	vsyslog(LOG_ERR, fmt, ap);
	va_end(ap);
}

