/**
 * Filename: system_info.cpp
 *
 * Description: system_info base class for all the system information packets
 *
 * Original Author: Nathan Boeger
 *
 * $Id: system_info.cpp,v 1.2 2002/04/08 05:29:04 nathan Exp $
 *
 */

#include "flog.h"
#include "khneia.h"
#include "khneia_protocol.h"
#include "khneia_sender.h"
#include "client_sys_conf.h"
#include "system_info.h"

/* does nothing flag the error */
system_info::system_info()
{
	error = K_BAD;
}

system_info::system_info(khneia_header_pkt *h, client_sys_conf *s)
{
	if( (s) && (h) )
	{
		header = h;
		sys = s;
		error = K_GOOD;
	}
}

/*
 * wait untill we have more done to implement
 */
int system_info::send()
{
	khneia_sender *sender;

	if( (error != K_BAD) && (sys != NULL) )
	{
		sender = new khneia_sender(header, sys->getServerPort(), sys->getServer() );

		if( sender )
		{
			sender->send();
		}
		else
		{
			K_ERR_LOG("cannot create sender");
		}
		delete sender;
	}
	else
	{
		K_LOG("Error is flaged bad");
	}

	return(error);
}


/*
 * no dynamic memory.. do nothing
 */
system_info::~system_info()
{

}
